[IPython-User] Ipython qtconsole error

Wim R. Cardoen wcardoen@gmail....
Tue Mar 12 21:48:37 CDT 2013


Thomas,

Thanks for your reply.
I can import the modules QtCore, QtGui as well as QtSvg
The error pops however up in the next line:
if QtCore.PYQT_VERSION_STR < '4.7':
   # PyQt 4.6 has issues with null strings returning as None
   raise ImportError

The value of QtCore.PyQT_VERSION_STR in my case is: '4.10'
When you compare the strings '4.10' and '4.7' then the former is indeed
'smaller'
(although version 4.10 is more recent than 4.7)

So, I assume this may be a bug due to a listing contradiction in the PyQt4
versions.

Wim

On Tue, Mar 12, 2013 at 5:31 PM, Thomas Kluyver <takowl@gmail.com> wrote:

> On 12 March 2013 23:17, Wim R. Cardoen <wcardoen@gmail.com> wrote:
>
>> Do you have any idea how I can remediate this eror?
>> Note that I appended the full path to the Qt/4.8.4/bin directory to the
>> PATH variable and the
>> directory Qt/4.8.4/lib to the LD_LIBRARY_PATH env. variable.
>>
>
> From a regular IPython prompt, run:
>
> from PyQt4 import QtCore, QtGui, QtSvg
>
> That will probably give you an error message that might help with
> diagnosis.
>
> $PATH and $LD_LIBRARY_PATH are irrelevant to importing Python modules.
> $PYTHONPATH is the relevant environment variable, but in most situations
> you don't need to set it.
>
> Thomas
>
> _______________________________________________
> IPython-User mailing list
> IPython-User@scipy.org
> http://mail.scipy.org/mailman/listinfo/ipython-user
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/ipython-user/attachments/20130312/c611b017/attachment.html 


More information about the IPython-User mailing list